Skip to content

tag/rule

Returns one tagging rule.

Method and path

GET /tag/rule/{project_id}/{rule_id}

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1, 2, and 3 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.

Path parameters

ParameterTypeRequiredDescription
project_idintegeryesProject identifier.
rule_idintegeryesRule identifier.

Example request

bash
curl "$SIGNAL_API_BASE_URL/tag/rule/<project_id>/<rule_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY"

Example response

json
{
  "rule_id": 789,
  "tag": {
    "id": 456,
    "label": "Example Tag"
  },
  "tag_match_field": "post_text",
  "tag_match_rule": "contains",
  "tag_match_value": "example keyword"
}

Response fields

FieldTypeDescription
rule_idintegerRule identifier.
tagobjectTag associated with the rule.
tag_match_fieldstringMatched field.
tag_match_rulestringMatch operator or rule type.
tag_match_valuestringMatch value.

Notes

  • If the rule does not exist, the response can be an empty JSON object.

Doc rev.1.12.3 2026.05.08